program verwaltung;

uses
  mSuM;

var
  meinStift: Stift; 
  derBildschirm : Bildschirm; 
  dieTastatur : Tastatur; 
  dieMaus : Maus;
  derPfeil: Pfeil;
  dieZielscheibe : Zielscheibe;

begin

{----- Objekte erzeugen und initialisieren ----- }
  derBildschirm := Bildschirm.init;
  meinStift := Stift.init;
  dieTastatur := Tastatur.init;
  dieMaus := Maus.init;
  dieZielscheibe := Zielscheibe.init(derBildschirm.breite-150,150);

{----- Methodenaufrufe usw. -----}
repeat
 derPfeil := Pfeil.init(100,20,-50);
 repeat
    derPfeil.falle;
    if derPfeil.vKerbenPosition > derBildschirm.hoehe
       then derPfeil.setzeAuf(100,20);
 until dieMaus.istGedrueckt;

 while dieMaus.istgedrueckt do
     derPfeil.drehe;
       
 repeat
    derPfeil.fliege;
    if dieMaus.istgedrueckt then
           derPfeil.drehe;
 until (derPfeil.hSpitzenPosition > dieZielscheibe.hPosition)
       or (derPfeil.hSpitzenPosition > derBildschirm.breite)
       or (derPfeil.hSpitzenPosition < 0)
       or (derPfeil.vSpitzenPosition > derBildschirm.hoehe)
       or (derPfeil.vSpitzenPosition < 0);

  meinStift.bewegeBis(derBildschirm.breite-300,300);
  if sqrt( sqr(derPfeil.hSpitzenPosition-dieZielscheibe.hPosition)+
           sqr(derPfeil.vSpitzenPosition-dieZielscheibe.vPosition) )
     < 20
  then
     begin
         meinStift.schreibeText('>>>>> T R E F F E R <<<<<')
     end
  else
     begin
         meinStift.schreibeText('>>>>> D A N E B E N <<<<<')
     end;

  meinStift.bewegeBis(derBildschirm.breite-300,350);
  meinStift.SchreibeText('Beenden : Taste e');
  meinStift.bewegeBis(derBildschirm.breite-300,370);
  meinStift.SchreibeText('Weiter  : Leertaste e');

  repeat
  until dieTastatur.wurdegedrueckt;

  if dieTastatur.zeichen <> 'e' then
     begin
        derPfeil.gibFrei;
        derBildschirm.loeschealles;
        dieZielscheibe.zeichneDich;
        dieTastatur.weiter;
     end;
until dieTastatur.wurdegedrueckt;

{----- Objekte auflsen -----}
  meinStift.gibFrei;
  dieMaus.gibFrei;
  dieTastatur.gibFrei;
  derBildschirm.gibFrei;
  derPfeil.GibFrei;

end.
