program verwaltung;

uses
  mSuM,
  mPfeil in 'mPfeil.pas',
  mZielscheibe in 'mZielscheibe.pas';

var
  meinStift: Stift; 
  derBildschirm : Bildschirm; 
  dieTastatur : Tastatur; 
  dieMaus : Maus;
  derPfeil: Pfeil;
  dieZielscheibe : Zielscheibe;

begin

{----- Objekte erzeugen und initialisieren ----- }
  derBildschirm := Bildschirm.init;
  meinStift := Stift.init;
  dieTastatur := Tastatur.init;
  dieMaus := Maus.init;
  derPfeil := Pfeil.init(100,20,-50);
  dieZielscheibe := Zielscheibe.init(derBildschirm.breite-150,150);

{----- Methodenaufrufe usw. -----}
 repeat
    derPfeil.falle
 until dieMaus.istGedrueckt;

 while dieMaus.istgedrueckt do
     derPfeil.drehe;
       
 repeat
    derPfeil.fliege
 until (derPfeil.hSpitzenPosition > dieZielscheibe.hPosition)
       or (derPfeil.hSpitzenPosition > derBildschirm.breite)
       or (derPfeil.hSpitzenPosition < 0)
       or (derPfeil.vSpitzenPosition > derBildschirm.hoehe)
       or (derPfeil.vSpitzenPosition < 0);

  meinStift.bewegeBis(derBildschirm.breite-200,300);
  if sqrt( sqr(derPfeil.hSpitzenPosition-dieZielscheibe.hPosition)+
           sqr(derPfeil.vSpitzenPosition-dieZielscheibe.vPosition) )
     < 20
  then
     begin
         meinStift.schreibeText('>>>>> T R E F F E R <<<<<')
     end
  else
     begin
         meinStift.schreibeText('>>>>> D A N E B E N <<<<<')
     end;

{----- Objekte auflsen -----}
  meinStift.gibFrei;
  dieMaus.gibFrei;
  dieTastatur.gibFrei;
  derBildschirm.gibFrei;
  derPfeil.GibFrei;

end.
