unit mPfeil;

interface



uses mSuM,mUhr;

    const laenge = 60.0;
          breite = 30.0;

    type pfeil = class
         private
           meinStift : Stift;
           x,y,zWinkel : zahl;
           meineUhr : Uhr;
           procedure zeichneDich;
         public
           constructor init(px,py : zahl; pWinkel:Zahl);
           destructor GibFrei;
           procedure fliege;
           procedure falle;
           procedure drehe;
           procedure setzeAuf(pXpos,pYPos:zahl);
           function hSpitzenPosition : zahl;
           function vSpitzenPosition : zahl;
           function hKerbenPosition : zahl;
           function vKerbenPosition : zahl;
     end;

implementation

 constructor pfeil.init(px,py : zahl; pWinkel:Zahl);
    begin
       meinStift := Stift.init;
       meineUhr := Uhr.init;
       x := px;
       y := py;
       zwinkel := pWinkel;
       zeichneDich;
    end;

 destructor pfeil.gibfrei;
    begin
      zeichneDich;
      meinStift.gibfrei;
      meineUhr.gibfrei;
    end;

procedure pfeil.zeichneDich;
  begin
    with meinStift do
      begin
        hoch;
        bewegeBis(x,y);
        dreheBis(zWinkel);
        wechsle;
        zeichneKreis(2);
        runter;
        bewegeUm(50);
        dreheUm(150);
        bewegeUm(10);
        hoch;
        bewegeUm(-10);
        dreheUm(-300);
        runter;
        bewegeUm(10);
        hoch;
        bewegeBis(x,y);
        dreheBis(zWinkel);
        normal
      end;
  end;

procedure pfeil.fliege;
  begin
    zeichneDich;
    x := x + 2.0 * cos(zwinkel*pi/180);
    y := y - 2.0 * sin(zwinkel*pi/180);
    zeichneDich;
    meineUhr.warte(1)
  end;

procedure pfeil.Drehe;
  begin
    zeichneDich;
    zwinkel := zwinkel + 2;
    zeichneDich;
    meineUhr.warte(1)
  end;

procedure pfeil.falle;
  begin
    zeichneDich;
    y := y +2;
    zeichneDich;
    meineUhr.warte(1)
  end;


procedure pfeil.setzeAuf(pxpos,pYPos:zahl);
   begin
      zeichneDich;
      x := pXpos ;
      y := pYpos ;
      zeichneDich
   end;


function pfeil.hKerbenPosition:zahl;
   begin
    result := x;
   end;

function pfeil.vKerbenPosition:zahl;
   begin
    result := y;
   end;

function pfeil.hSpitzenPosition:zahl;
   begin
    result := x + 50 * cos(zwinkel*pi/180);
   end;

function pfeil.vSpitzenPosition:zahl;
   begin
    result := y - 50 * sin(zwinkel*pi/180);
   end;

end.
